<?php
/**************************************************
  Coppermine 1.5.x Plugin - Copper ad
  *************************************************
  Copyright (c) 2006 Borzoo Mossavari
  Updated for CPG 1.5 by pbasmo
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  This is a simple Advertisement plugin without statistics
  or any kind of log.
  this will give you flash/picture/HTML banner
  By using FRAME technology
  ***************************************************/

require_once('include/init.inc.php');

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
if($lang_text_dir=='ltr') {
	$align="left";
	$direction="ltr";
}else {
	$align="right";
	$direction="rtl";
}

$copperad_superCage = Inspekt::makeSuperCage();	//For CPG 1.5

//Referer page
$requesturi = $copperad_superCage->server->getEscaped('REQUEST_URI');

//Count banners enabled
$nb_banners_enabled = 0;


function banner_default_values() {
    /****************************************************************************
    With version for CPG 1.4, this plugin had a script 'bannermgr.php' used for :
    - edit configuration of a banner 
    - delete a banner
    
    In the edit mode, this script displayed the same screen used for create a 
    new banner.
    
    For CPG 1.5, I imported 'edit' and 'delete' functions in this script (advmgr.php) 
    and only 1 form is used for all modes : create and edit.
    In this way, I used an array with default values to create a new banner.
    This array is also used to edit an existing banner in the same form.
    *****************************************************************************/
    // Record banner with default values used for create banner
    // or record banner with values banner for edit banner
    $banner = array('adver_id'=>'0',
    	'adver_name'=>'', 
    	'adver_stat'=>'1', 
    	'adver_kind'=>'1', 
    	'adver_html'=>'<h2>This is default HTML banner</h2><br /><h1>CopperAD</h1>', 
    	'adver_height'=>'100', 
    	'adver_width'=>'780', 
    	'adver_address'=>'Only if its picture or flash', 
    	'adver_linkto'=>'index.php', 
    	'adver_alt'=>'Advertisement');
    return $banner;
}

$banner = banner_default_values();
// Actions from banner list (edit or delete)
if ($copperad_superCage->get->keyExists('act'))
	$action = $copperad_superCage->get->getRaw('act');
// Banner id from banner list (edit or delete)	
if ($copperad_superCage->get->keyExists('id'))
	$advid = $copperad_superCage->get->getInt('id');

pageheader($lang_plugin_copperad['display_name']);


// Start of delete banner (from old script bannermgr.php)
if ($action == "delete") {
	//check the given adver id
	$sql="SELECT adv_id FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` WHERE adv_id='$advid'";
	$result=cpg_db_query($sql);
	$row=mysql_fetch_assoc($result);
	$sql="SELECT COUNT(adv_id) FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}`";
	$result2=cpg_db_query($sql);
	$row2=mysql_fetch_assoc($result2);
	if($row['adv_id']!=$advid or $row2['COUNT(adv_id)']<=1) {
		cpg_die(ERROR, $lang_plugin_copperad_delete['cant_delete'], __FILE__, __LINE__);
	} else {
		$sql="DELETE FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` WHERE adv_id='$advid'";
		cpg_db_query($sql);
		msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad_delete['delete_okey']);
	}
	mysql_free_result($result);
	mysql_free_result($result2);
    // Count banners enabled
    count_banners_enabled();
}

// Start of edit banner (from old bannermgr.php)
if ($action == "edit") {
	$sql="SELECT * FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` WHERE adv_id='$advid'";
	$result=cpg_db_query($sql);
	$row=mysql_fetch_assoc($result);
	$banner['adver_id'] = $row['adv_id'];
	$banner['adver_name'] = stripslashes($row['name']);
	$banner['adver_stat'] = $row['stat'];
	$banner['adver_kind'] = $row['kind'];
	$banner['adver_html'] = stripslashes($row['html']);
	$banner['adver_height'] = stripslashes($row['height']);
	$banner['adver_width'] = stripslashes($row['width']);
	$banner['adver_address'] = stripslashes($row['address']);
	$banner['adver_linkto'] = stripslashes($row['linkto']);
	$banner['adver_alt'] = stripslashes($row['alt']);
}

// check posted value for configuration (updated for CPG 1.5)
if ($copperad_superCage->post->keyExists('update_config')) {
	$po_status=addslashes($copperad_superCage->post->getInt('plugin_status'));
	$sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='$po_status' WHERE name='status'";
	cpg_db_query($sql);
	$po_max_show=addslashes($copperad_superCage->post->getInt('max_show'));
	$sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='$po_max_show' WHERE name='max_show_number'";
	cpg_db_query($sql);
	$po_text_title=addslashes($copperad_superCage->post->getRaw('text_title'));
	$sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='$po_text_title' WHERE name='text_title'";
	cpg_db_query($sql);
	$po_admin_show=addslashes($copperad_superCage->post->getInt('admin_show'));
	$sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='$po_admin_show' WHERE name='admin_show'";
	cpg_db_query($sql);
	$po_banner_bg=addslashes($copperad_superCage->post->getRaw('banner_bg'));
	$sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='$po_banner_bg' WHERE name='banner_bg'";
	cpg_db_query($sql);
    msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad['page_success']);
	//Reload config after update
	require ('include/init2.inc.php');
}

//check posted value for banner creation or update (updated for CPG 1.5)
if ($copperad_superCage->post->keyExists('create_banner') || $copperad_superCage->post->keyExists('update_banner')) {
    $adver_id=addslashes($copperad_superCage->post->getInt('adver_id'));
	$adver_name=addslashes($copperad_superCage->post->getRaw('adver_name'));
	$adver_kind=addslashes($copperad_superCage->post->getInt('adver_kind'));
	$adver_stat=addslashes($copperad_superCage->post->getInt('adver_stat'));
	$adver_html=addslashes($copperad_superCage->post->getRaw('adver_html'));
	$adver_address=addslashes($copperad_superCage->post->getRaw('adver_address'));
	$adver_height=addslashes($copperad_superCage->post->getInt('adver_height'));
	$adver_width=addslashes($copperad_superCage->post->getInt('adver_width'));
	$adver_linkto=addslashes($copperad_superCage->post->getRaw('adver_linkto'));	
	$adver_alt=addslashes($copperad_superCage->post->getRaw('adver_alt'));
	//Create banner ...
	if ($adver_id == 0) {
		$sql="INSERT INTO `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` (name,kind,stat,html,address,height,width,linkto,alt) VALUES ('$adver_name','$adver_kind','$adver_stat','$adver_html','$adver_address','$adver_height','$adver_width','$adver_linkto','$adver_alt')";
		cpg_db_query($sql);
		msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad['create_success']);
	}
	//... or update banner
	else {
		$sql="UPDATE `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` 
        SET name='$adver_name', kind='$adver_kind', stat='$adver_stat', html='$adver_html', 
        address='$adver_address', height='$adver_height', width='$adver_width', linkto='$adver_linkto', alt='adver_alt'
        WHERE adv_id=$adver_id";
		cpg_db_query($sql);
		msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad['update_success']);
	}
    //Restore default values for banner to clean form
    $banner = banner_default_values();
}

// Check for change status CPA 1.2.2 (rewrited for CPG 1.5)
/*****************************************************************
For CPG 1.5, I rewrited this function because global variable
_POST doesn't exists when Inspekt method is used with CPG 1.5
*****************************************************************/
if ($copperad_superCage->post->keyExists('change_stat')) {
	$sql="SELECT name,adv_id,stat FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}`";
	$result=cpg_db_query($sql);
	while($row=mysql_fetch_assoc($result)){
		$banner_to_search = "stat_banner_" . $row['adv_id'];
		if ($copperad_superCage->post->keyExists($banner_to_search)) {
			$sql="UPDATE `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` SET stat='1' WHERE adv_id = " . $row['adv_id'];
			cpg_db_query($sql);
		} else {
			$sql="UPDATE `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` SET stat='0' WHERE adv_id = " . $row['adv_id'];
			cpg_db_query($sql);
		}
	}
	mysql_free_result($result);
    //Restore default values if a banner was updated
    $banner = banner_default_values();
	msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad_manage['list_status_success']);
    // Count banners enabled
    count_banners_enabled();
}

/**************************************
 Function to count banners enabled
 Function called after :
 - enable/disable banner
 - delete banner
**************************************/
function count_banners_enabled() {
    global $CONFIG;
    global $COPPERAD;
    global $lang_plugin_copperad_manage;

    $sql = "SELECT count(adv_id) AS nb_banners_enabled FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}` WHERE stat = 1";
	$result=cpg_db_query($sql);
    $row=mysql_fetch_assoc($result);
    if ($row['nb_banners_enabled'] == 0) {
        // Disable status of plugin
        $sql="UPDATE `{$CONFIG['TABLE_COPPERAD_CONFIG']}` SET value='0' WHERE name='status'";
        $result=cpg_db_query($sql);
    	//Reload config after update
    	require ('include/init2.inc.php');
    	msg_box($lang_plugin_copperad['display_name'], $lang_plugin_copperad_manage['list_no_banner'], '', '', 'warning');
    }    
	mysql_free_result($result);    
}

?>
<script language="javascript" type="text/javascript">
function change() {
//Lines to hide/display config screen deleted by pbasmo for CPG 1.5
advkind=document.getElementById("plugin_status").value;
if(advkind==3) {
	document.getElementById("max_show").style.display='block';
	} else {
		document.getElementById("max_show").style.display='none';
	}
advkind2=document.getElementById("adver_kind").value;
if(advkind2==3) {
	document.getElementById("html_tbl").style.display='block';
	document.getElementById("picture_tbl").style.display='none';
	document.getElementById("picflash_tbl").style.display='none';
	} else if(advkind2==1){
		document.getElementById("picture_tbl").style.display='block';
		document.getElementById("html_tbl").style.display='none';
		document.getElementById("picflash_tbl").style.display='block';
	} else if(advkind2==2){
		document.getElementById("html_tbl").style.display='none';
		document.getElementById("picture_tbl").style.display='none';
		document.getElementById("picflash_tbl").style.display='block';
	}

}
function change_new() {
advkind2=document.getElementById("adver_kind").value;
if(advkind2==3) {
	document.getElementById("html_tbl").style.display='block';
	document.getElementById("picture_tbl").style.display='none';
	document.getElementById("picflash_tbl").style.display='none';
	} else if(advkind2==1){
		document.getElementById("picture_tbl").style.display='block';
		document.getElementById("html_tbl").style.display='none';
		document.getElementById("picflash_tbl").style.display='block';
	} else if(advkind2==2){
		document.getElementById("html_tbl").style.display='none';
		document.getElementById("picture_tbl").style.display='none';
		document.getElementById("picflash_tbl").style.display='block';
	}

}
function change_conf() {
advkind=document.getElementById("plugin_status").value;
if(advkind==3) {
	document.getElementById("max_show").style.display='block';
	} else {
		document.getElementById("max_show").style.display='none';
	}
}
function check_all(formname) {
 i=0;
 while(document.getElementById(formname).elements[i]) {
	document.getElementById(formname).elements[i].checked="checked";
	i+=1;
 }
}
onload = change;
</script>
<?php
starttable('100%', 'Advertisement manager - '.$lang_plugin_copperad['version'].' <font size=1 color=red> By <a href=\"http://www.myprj.com\">BMossavari at gmail dot com</a></font> - <font size=1 color=red> Updated for CPG 1.5 by <a href=\"http://pierre.basmoreau.free.fr\">Pierre Basmoreau</a></font>&nbsp;<a href="pluginmgr.php" class="admin_menu">Plugin Manager</a>', 3);

// Lines to hide/display config screen deleted by pbasmo for CPG 1.5

//Create a list of banner
$sql="SELECT name,adv_id,stat FROM `{$CONFIG['TABLE_PLUGIN_COPPERAD']}`";
$result=cpg_db_query($sql);
?>

<tr>
  <td class="tableh2" colspan="3" onclick="show_section('section1')"><span style="CURSOR: pointer">
  <img title="click section name to expand" height="9" alt="" src="images/descending.gif" width="9" border="0"><strong> <?php if ($banner['adver_id'] == 0) echo $lang_plugin_copperad_manage['list_create']; else echo $lang_plugin_copperad_manage['list_update'] .' '. $banner['adver_name'];?></strong></span> </td>
</tr>

<tr>
  <td><table class="maintable" cellspacing="1" cellpadding="0" width="100%" align="center" border="0" id="section1">
      <form action="<?php echo $requesturi ?>" method="post">
        <tr>
          <td width="25%" align="<?php echo $align ?>" dir="<?php echo $direction ?>" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_name']; ?></strong> :
            <input value="<?php echo $banner['adver_name']; ?>" name="adver_name" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="adver_name" maxlength="255" class="textinput" size="60"/>
		  </td>
        </tr>
        <tr>
          <td align="<?php echo $align ?>" dir="<?php echo $direction ?>" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_status']; ?></strong> :
            <select name="adver_stat" id="adver_stat">
              <option value="1" <?php if($banner['adver_stat']==1) echo "selected=\"selected\""; ?>>Enable</option>
              <option value="0" <?php if($banner['adver_stat']==0) echo "selected=\"selected\""; ?>>Disable</option>
            </select>
			</td>
        </tr>
        <tr>
          <td align="<?php echo $align ?>" dir="<?php echo $direction ?>" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_kind']; ?></strong> :
            <select name="adver_kind" id="adver_kind" onchange="return change_new();">
              <option value="1" <?php if($banner['adver_kind']==1) echo "selected=\"selected\""; ?>>Picture</option>
              <option value="2" <?php if($banner['adver_kind']==2) echo "selected=\"selected\""; ?>>Flash</option>
              <option value="3" <?php if($banner['adver_kind']==3) echo "selected=\"selected\""; ?>>HTML</option>
            </select>
          </td>
        </tr>
        <tr>
          <td align="<?php echo $align ?>" dir="<?php echo $direction ?>" class="tableb">
			<table width="100%" border="0" cellpadding="0" cellspacing="0" id="html_tbl">
              <tr>
                <td width="30"><strong><?php echo $lang_plugin_copperad_manage['list_html']; ?></strong> : </td>
                <td width="419"><textarea name="adver_html" cols="64" rows="5" id="adver_html" dir="<?php echo $direction ?>">
				<?php echo $banner['adver_html']; ?>
                </textarea></td>
                <td width="535"><strong><?php echo $lang_plugin_copperad_manage['list_html_des']; ?></strong></td>
              </tr>
            </table>
			<table width="100%" border="0" cellpadding="0" cellspacing="0" id="widthheight"><tr><td><strong><?php echo $lang_plugin_copperad_manage['list_height']; ?></strong> :
                  <input value="<?php echo $banner['adver_height']; ?>" name="adver_height" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="adver_height" maxlength="255" class="textinput" size="35"/></td></tr>
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_manage['list_width']; ?></strong> :
                  <input value="<?php echo $banner['adver_width']; ?>" name="adver_width" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="adver_width" maxlength="255" class="textinput" size="35"/></td>
              </tr>
            </table>
            <table width="100%" border="0" cellpadding="0" cellspacing="0" id="picflash_tbl">
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_manage['list_address']; ?></strong> :
                  <input value="<?php echo $banner['adver_address']; ?>" name="adver_address" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="adver_address" maxlength="255" class="textinput" size="35"/></td>
              </tr>
            </table>
            <table width="100%" border="0" cellpadding="0" cellspacing="0" id="picture_tbl">
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_manage['list_linkto']; ?></strong> :
                  <input value="<?php echo $banner['adver_linkto']; ?>" name="adver_linkto" class="textinput" id="adver_linkto" dir="<?php echo $direction ?>" size="32" maxlength="255" align="<?php echo $align ?>" />
                </td>
              </tr>
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_manage['list_alt']; ?></strong> :
                  <input value="<?php echo $banner['adver_alt']; ?>" name="adver_alt" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="adver_alt" maxlength="255" class="textinput" size="32" />
                </td>
              </tr>
            </table></td>
        </tr>
        <tr>
          <td class="tableb"><br />
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="center"><input name="adver_id" type="hidden" value="<?php echo $banner['adver_id']; ?>" id="adver_id"/>
                  <input class="button" type="submit" value="<?php if ($banner['adver_id'] == 0) echo $lang_plugin_copperad_manage['list_create']; else echo $lang_plugin_copperad_manage['list_update'];?>" name="<?php if ($banner['adver_id'] == 0) echo 'create_banner'; else echo 'update_banner';?>">
                  &nbsp;&nbsp;
                  <input class="button" onclick="return confirm('<?php echo $lang_plugin_copperad_manage['list_restore']; ?>');" type="submit" value="<?php echo $lang_plugin_copperad_manage['list_restore']; ?>" name="restore_config"/>
                </td>
              </tr>
            </table></td>
        </tr>
      </form>
    </table></td>
</tr>

<tr>
  <td class="tableh2" onclick="show_section('section0')" colspan="3"><span 
            style="CURSOR: pointer"><img title="click section name to expand" height="9" alt="" src="images/descending.gif" 
            width="9" border="0"/> <strong><?php echo $lang_plugin_copperad_manage['list_banner']; ?> </strong></span></td>
</tr>

<tr>
  <td><table class="maintable" id="section0" cellspacing="1" cellpadding="0" width="100%" align="center" border="0">
      <form action="<?php echo $requesturi ?>" method="post" id="banner_stat" name="banner_stat">
	  <tr>
        <td><table class="maintable" cellspacing="1" cellpadding="0" width="100%" align="center" border="0">
            <tr>
              <td width="70%" align="<?php echo $align ?>" dir="<?php echo $direction ?>" class="tableb"><strong><?php echo '# - '.$lang_plugin_copperad_manage['list_name']; ?></strong></td>
              <td width="10%" align="center" valign="top" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_edit']; ?></strong></td>
              <td width="10%" align="center" valign="top" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_delete']; ?></strong></td>
              <td width="10%" align="center" valign="top" class="tableb"><strong><?php echo $lang_plugin_copperad_manage['list_stat']; ?></strong></td>
            </tr>
            
              <?php while($row=mysql_fetch_assoc($result)){ if ($row['stat'] == 1) {$nb_banners_enabled+=1;}?>
              <tr>
                <td class="tableb" align="<?php echo $align ?>" dir="<?php echo $direction ?>"><?php echo $row['adv_id'].' - '.stripslashes($row['name']);?></td>
                <td align="center" valign="top" class="tableb"><a href="<?php echo ("{$requesturi}&act=edit&id=".stripslashes($row['adv_id']));?>"><img src="images/icons/edit.png" width="16" height="16" border="0" /></a></td>
                <td align="center" valign="top" class="tableb"><a href="<?php echo ("{$requesturi}&act=delete&id=".stripslashes($row['adv_id']));?>"><img src="images/icons/delete.png" width="16" height="16" border="0" /></a></td>
                <td align="center" valign="top" class="tableb"><input name="<?php echo 'stat_banner_'.stripslashes($row['adv_id']);?>" type="checkbox" id="<?php echo 'stat_banner_'.stripslashes($row['adv_id']);?>" value="1" <?php if($row['stat']==1) { echo 'checked="checked"';} ?>/></td>
              </tr>
              <?php } ?>
              <tr>
                <td class="tableb" align="<?php echo $align ?>" dir="<?php echo $direction ?>">&nbsp;</td>
                <td align="center" valign="top" class="tableb">&nbsp;</td>
                <td align="center" valign="top" class="tableb">&nbsp;</td>
                <td align="center" valign="top" class="tableb">&nbsp;&nbsp;
                  <input class="button" type="button" value="<?php echo $lang_plugin_copperad_manage['list_chkall']; ?>" name="restore_config" onclick="return check_all('banner_stat');"></td>
              </tr>
          </table></td>
      </tr>
      <tr>
        <td align="center" class="tableb"><input class="button" type="submit" value="<?php echo $lang_plugin_copperad_manage['list_chstat']; ?>" name="change_stat" /></td>
      </tr></form>
  </table>
  </td>
</tr>

<tr>
  <td class="tableh2" colspan="3"><strong><?php echo $lang_plugin_copperad_manage['list_conf']; ?></strong></td>
</tr>

<tr>
  <td><table class="maintable" cellspacing="1" cellpadding="0" width="100%" align="center" border="0">
      <form action="<?php echo $requesturi ?>" method="post">
        <tr>
          <td class="tableb"><strong><?php echo $lang_plugin_copperad_config['status']?></strong> :
            <select name="plugin_status" id="plugin_status" onchange="return change_conf();">
              <option value="0" <?php if($COPPERAD['status']==0 || $nb_banners_enabled == 0) echo "selected=\"selected\""; ?>>Disable</option>
              <?php if ($nb_banners_enabled > 0) { ?>
              <option value="1" <?php if($COPPERAD['status']==1) echo "selected=\"selected\""; ?>>Enable(after sys menu)</option>
              <option value="2" <?php if($COPPERAD['status']==2) echo "selected=\"selected\""; ?>>Enable(after sub menu)</option>
              <option value="3" <?php if($COPPERAD['status']==3) echo "selected=\"selected\""; ?>>Enable(multi location)</option>
              <?php } ?>
            </select>
            <?php if ($nb_banners_enabled == 0) {echo $lang_plugin_copperad_config['status_no_banner'];}?></td>
        </tr>
        <tr>
          <td class="tableb"><table width="100%" border="0" cellpadding="0" cellspacing="0" id="max_show" style="display:none">
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_config['max_show']; ?></strong> :
                  <input value="<?php echo (stripslashes($COPPERAD['max_show_number']));?>" name="max_show" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="max_show" maxlength="2" class="textinput" size="5"/></td>
              </tr>
            </table>
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><strong><?php echo $lang_plugin_copperad_config['text_title']?></strong> :
                  <input value="<?php echo (stripslashes($COPPERAD['text_title']));?>" name="text_title" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="text_title" maxlength="255" class="textinput" size="35"/>
                  <?php echo $lang_plugin_copperad_config['text_title_des']?></td>
              </tr>
            </table></td>
        </tr>
        <tr>
          <td class="tableb"><strong><?php echo $lang_plugin_copperad_config['admin_show']?></strong> : Yes
            <input name="admin_show" type="radio" value="1"  <?php if($COPPERAD['admin_show']==1) { echo 'checked="checked"';} ?>/>
            No
            <input name="admin_show" type="radio" value="0" <?php if($COPPERAD['admin_show']==0) { echo 'checked="checked"';} ?> />
          </td>
        </tr>
        <tr>
          <td class="tableb"><strong><?php echo $lang_plugin_copperad_config['banner_bg']?></strong> :
            <input value="<?php echo (stripslashes($COPPERAD['banner_bg']));?>" name="banner_bg" dir="<?php echo $direction ?>" align="<?php echo $align ?>" id="banner_bg" maxlength="7" class="textinput" size="7"/></td>
        </tr>
        <tr>
          <td align="center" class="tableb"><input class="button" type="submit" value="<?php echo $lang_plugin_copperad_manage['list_submit']; ?>" name="update_config" id="update_config"/>
            &nbsp;&nbsp;
            <input class="button" onclick="return confirm('<?php echo $lang_plugin_copperad_manage['list_restore']; ?>');" type="submit" value="<?php echo $lang_plugin_copperad_manage['list_restore']; ?>" name="restore_config" id="restore_config"/></td>
        </tr>
      </form>
    </table></td>
</tr>

<?php endtable();
pagefooter();
ob_end_flush();
mysql_free_result($result);
?>
